Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class CommandGroupConfigurator

    java.lang.Object
      com.pietschy.command.configuration.impl.CommandGroupConfigurator

All Implemented Interfaces:
  Configurator

Direct Known Subclasses:
  ToggleGroupConfigurator

     class CommandGroupConfigurator

extends java.lang.Object
implements Configurator

Configurator instance for CommandGroups. This class configures the groups faces and properties.

Constructor Summary
`CommandGroupConfigurator()`

Method Summary
`void` | `configure(Command command, Configuration config)` Configures the specified group based on the specified configuration.
`protected void` | `configureProperties(CommandGroup group, Configuration config)` Configures the properties specific to CommandGroups.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandGroupConfigurator

    CommandGroupConfigurator()

Method Detail

### configure

    public void configure(Command command,
                          Configuration config)
                   throws ConfigurationException

  Configures the specified group based on the specified configuration.

  Specified by:
    `configure` in interface `Configurator`
  Parameters:
    `command` - the `CommandGroup` to configure.
    `config` - the configuration.
  Throws:
    `ConfigurationException` - if there was an error configuring the group.
    `java.lang.IllegalStateException` - if the command wasn't an instance of `CommandGroup`.

### configureProperties

    protected void configureProperties(CommandGroup group,
                                       Configuration config)
                                throws ParseException

  Configures the properties specific to CommandGroups.

  Parameters:
    `group` - the group to configure.
    `config` - the configuration store.
  Throws:
    `ParseException` - if there was an error configuring the group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch